/**
 * @license
 * Copyright (C) 2016 Dizzy <itsdizzy40@gmail.com>
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file.
 */
export interface IAuthConfig {
    globalHeaders?: Array<Object>;
    headerName?: string;
    headerPrefix?: string;
    noJwtError?: boolean;
    noTokenScheme?: boolean;
    guards?: {
        loggedInGuard: {
            redirectUrl: string;
        };
        loggedOutGuard: {
            redirectUrl: string;
        };
    };
}
/**
 * Sets up the authentication configuration.
 */
export declare class AuthConfig {
    globalHeaders: Array<Object>;
    headerName: string;
    headerPrefix: string;
    noJwtError: boolean;
    noTokenScheme: boolean;
    guards: {
        loggedInGuard: {
            redirectUrl: string;
        };
        loggedOutGuard: {
            redirectUrl: string;
        };
    };
    constructor(config?: any);
    getConfig(): IAuthConfig;
}
