import { CanActivate, Router } from '@angular/router';
import { AuthConfig } from './auth.config';
import { TokenService } from './token.service';
/**
 * A simple guard that checks whether you are logged in.
 */
export declare class LoggedInAuthGuard implements CanActivate {
    private _tokenService;
    private _router;
    private _config;
    constructor(options: AuthConfig, _tokenService: TokenService, _router: Router);
    /**
     * Checks if the user is logged in by checking
     * the expiration date of the token.
     */
    canActivate(): boolean;
}
/**
 * A simple guard that checks whether you are logged out.
 */
export declare class LoggedOutAuthGuard implements CanActivate {
    private _tokenService;
    private _router;
    private _config;
    constructor(options: AuthConfig, _tokenService: TokenService, _router: Router);
    /**
     * Checks if the user is logged in by checking
     * the expiration date of the token.
     */
    canActivate(): boolean;
}
