import { Http, RequestOptionsArgs, RequestOptions, Request, Response } from '@angular/http';
import { AuthConfig } from './auth.config';
import { TokenService } from './token.service';
import { Observable } from 'rxjs/Observable';
export declare class AuthHttp {
    private _tokenService;
    private _http;
    private _options;
    private config;
    constructor(options: AuthConfig, _tokenService: TokenService, _http: Http, _options: RequestOptions);
    private mergeOptions(providedOpts, defaultOpts?);
    private requestHelper(requestArgs, additionalOptions?);
    setGlobalHeaders(headers: Array<Object>, request: Request | RequestOptionsArgs): void;
    request(url: string | Request, options?: RequestOptionsArgs): Observable<Response>;
    private requestWithToken(req, token);
    get(url: string, options?: RequestOptionsArgs): Observable<Response>;
    post(url: string, body: any, options?: RequestOptionsArgs): Observable<Response>;
    put(url: string, body: any, options?: RequestOptionsArgs): Observable<Response>;
    delete(url: string, options?: RequestOptionsArgs): Observable<Response>;
    patch(url: string, body: any, options?: RequestOptionsArgs): Observable<Response>;
    head(url: string, options?: RequestOptionsArgs): Observable<Response>;
    options(url: string, options?: RequestOptionsArgs): Observable<Response>;
}
