export declare class TokenError extends Error {
    name: string;
    constructor(message: string);
}
export declare class Token {
    token: string;
    constructor(token: string);
    private decodeBase64(str);
    private decodeToken();
    /**
     * Gets the expiration date of this token.
     */
    getExpirationDate(): Date;
    /**
     * Check whether the token has been expired already.
     */
    isExpired(offsetSeconds?: number): boolean;
}
